### Method

# Soup Server get_listeners

#### Declaration [src]

    GSList*
    soup_server_get_listeners (
      SoupServer* server
    )

#### Description [src]

Gets `server`‘s list of listening sockets.

You should treat these sockets as read-only; writing to or modifiying any of these sockets may cause `server` to malfunction.

#### Return value

Returns: | A list of `GSocket*`
| A list of listening sockets.
| The caller of the method takes ownership of the data container, but not the data inside it.